﻿
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title .:Cyber Sport:.</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Cyber Sport", "Index", "Home", null, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Catalogo", "Catalogo", "Home", new { id = 0 }, null)</li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Categorias <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            @Html.Action("Categorias", "Home")
                        </ul>
                    </li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    @Html.Action("Logueado", "Cliente")
                    <li><a id="menu-toggle" href="#" class="bg-success toggle"> <span id="totalCarro"></span> <span class="glyphicon glyphicon-shopping-cart"></span></a></li>
                    <div id="sidebar-wrapper">


                        <div class="panel panel-success">
                            <div class="panel-heading">
                                <span class="glyphicon glyphicon-shopping-cart"></span> Carro de Compra
                                <a id="menu-close" href="#" class="btn btn-default btn-sm pull-right toggle"><i class="glyphicon glyphicon-remove"></i></a>
                            </div>
                            <div class="panel-body">
                                <div id="divCarroCompra">
                                    @Html.Action("ListarCarrito", "Carro")
                                </div>
                            </div>
                        </div>
                    </div>
                </ul>

            </div>
        </div>
    </div>


    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - CyberSport</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)

    <script>
        $("#menu-close").click(function (e) {
            e.preventDefault();
            $("#sidebar-wrapper").toggleClass("active");
        });
        $("#menu-toggle").click(function (e) {
            e.preventDefault();
            $("#sidebar-wrapper").toggleClass("active");
        });
    </script>

    <script>
        function AgregarCarro(id) {
            $.ajax({
                type: 'GET',
                url: '/Carro/AgregaCarrito/',
                data: { id: id },
                datatype: "html",
                success: function (data) {
                    //alert(data)
                    $('#divCarroCompra').html(data);
                }
            });
            return false;
        }

    </script>

</body>
</html>
